<?php
/*
 * Template Name: Podcast
 *
 *
 * This creates an arhive for your
 * podcasts.
 *
 * @package Live
 * @since 3.1.0
 *
 */

get_header(); ?>
	
	<div id="content" class="full">
	
		<ul class="podcast-list">
		
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
				<li class="podcast-episode clearfix">
					
					<h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
					
					<?php get_template_part( 'includes/podcast-details' ); ?>
					
				</li>                                     
	
			<?php endwhile; else: ?>
	
			<li><?php _e('Sorry, no podcast matched your criteria.', 'organizedthemes'); ?></li><?php endif; ?>
			
		</ul>
				
		<?php get_template_part( 'includes/pagination' ); ?>
			 
    </div><!-- #content -->
	
  <?php get_footer(); ?>