<?php
/*
 * Template Name: No Sidebar
 *
 *
 * This file creates a page
 * without a sidebar (full-width)
 *
 * @package Live
 * @since 3.0.0
 *
 */

get_header(); ?>

<div id="content" class="full">
	
	<?php while (have_posts()) : the_post(); ?>
		
		<?php get_template_part( 'includes/post-formats' ); ?>
	
		<h1><?php the_title(); ?></h1>
	
		<?php the_content(__('Read more', 'organizedthemes'));?>
		<?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
	
	<?php endwhile; ?>
	
</div><!-- #content -->

<?php get_footer(); ?>