<?php
/**
 * Sidebar
 *
 * This page creates our sidebars
 *
 * @package Live
 * @since 3.0.0
 *
 */ 
 ?><div id="sidebar">    

	<?php
	
		if(is_tax( 'staff-group' ) && is_active_sidebar('staff')) : dynamic_sidebar('staff');
		    elseif(is_page_template( 'page-staff.php' ) && is_active_sidebar('staff')) : dynamic_sidebar('staff');
		    elseif(is_tax( 'series' ) && is_active_sidebar('sidebar-podcast')) : dynamic_sidebar('sidebar-podcast');
		    elseif(is_singular( 'speaker' ) && is_active_sidebar('sidebar-podcast')) : dynamic_sidebar('sidebar-podcast');
		    elseif(is_post_type_archive( 'podcast' ) && is_active_sidebar('sidebar-podcast')) : dynamic_sidebar('sidebar-podcast');
		    elseif(is_category() && is_active_sidebar('category')) : dynamic_sidebar('category');
		    elseif(is_single() && is_active_sidebar('post')) : dynamic_sidebar('post');
		    elseif(is_page() && is_active_sidebar('page')) : dynamic_sidebar('page');
		else : ?>
	
		<?php dynamic_sidebar('default') ?>
		
	<?php endif; ?>
	

</div><!--#sidebar -->