<?php
/**
 * Single
 *
 * This file is for single podcasts
 *
 * @package Live
 * @since 3.1.0
 *
 */ get_header(); ?>
	
	<?php get_template_part( 'includes/post-formats' ); ?>

	<div id="content">
	
		<?php while (have_posts()) : the_post(); ?>
		
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
			<h1 class="blog-title"><?php the_title(); ?></h1>
			
			<?php get_template_part( 'includes/podcast-details' ); ?>
			
			<?php the_content(); ?>
			
			<?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
						
			<?php
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || '0' != get_comments_number() )
					comments_template( '', true );
			?>
			
		</article><!-- #post-<?php the_ID(); ?> -->
				
		<?php endwhile; ?>
    
    </div><!-- #content -->
	
  <?php get_sidebar(); ?>
  <?php get_footer(); ?>