<?php
/**
 * Not Found
 *
 * This file creates our not found
 * page.
 *
 * @package Live
 * @since 3.0.0
 *
 */
 
 get_header(); ?>

	<div id="content">	
		
		<h1><?php _e('Not Found', 'organizedthemes'); ?></h1>
		<p><?php _e('The page you were looking for could not be found.  You may be able to find it in the archives below.', 'organizedthemes'); ?></p>
		
			<h3><?php _e('Pages', 'organizedthemes'); ?></h3>
			
			<ul>
				<?php wp_list_pages('depth=1&sort_column=menu_order&title_li=' ); ?>		
			</ul>				
			
			<h3><?php _e('Categories', 'organizedthemes'); ?></h3>
			
			<ul>
				<?php wp_list_categories('title_li=&hierarchical=0&show_count=1') ?>	
			</ul>	               
			
			<?php
			
			$cats = get_categories();
			foreach ($cats as $cat) {
			
			query_posts('cat='.$cat->cat_ID);
			
				?>
			
			<h3><?php echo $cat->cat_name; ?></h3>
			
			<ul>	
			        <?php while (have_posts()) : the_post(); ?>
			        <li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></li>
			        <?php endwhile;  ?>
			</ul>
			
			<?php } ?>
				
	</div><!-- #content -->			    

<?php get_sidebar(); ?>
<?php get_footer(); ?>