<?php
/*
 * Template Name: Sitemap
 *
 *
 * This file creates a sitemap
 * page template to use
 *
 * @package Live
 * @since 3.0.0
 *
 */

get_header(); ?>

	<div id="content">
		
		<?php while (have_posts()) : the_post(); ?>
			
			<h1><?php the_title(); ?></h1>		
				
			<?php the_content();?>
			
			<?php endwhile; ?>
			
			<h3><?php _e('Pages', 'organizedthemes'); ?></h3>
			
			<ul>
				<?php wp_list_pages('depth=1&sort_column=menu_order&title_li=' ); ?>		
			</ul>				
			
			
			<h3><?php _e('Categories', 'organizedthemes'); ?></h3>
			
			<ul>
				<?php wp_list_categories('title_li=&hierarchical=0&show_count=1') ?>	
			</ul>	               
			
			<?php
			
			$cats = get_categories();
			foreach ($cats as $cat) {
			
			query_posts('cat='.$cat->cat_ID);
			
			?>
			
			<h3><?php echo $cat->cat_name; ?></h3>
			
			<ul>	
			<?php while (have_posts()) : the_post(); ?>
				<li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></li>
			<?php endwhile;  ?>
			</ul>
			
			<?php } ?>
		
		
	</div><!--#content -->		    
   
<?php get_sidebar(); ?>
<?php get_footer(); ?>