<?php
/**
 * Page
 *
 * This file generates our basic page template.
 *
 * @package Live
 * @since 3.0.0
 *
 */
 
 get_header(); ?>
	
	<?php get_template_part( 'includes/post-formats' ); ?>
	
	<div id="content">
	
		<?php while (have_posts()) : the_post(); ?>
		
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			<h1 class="blog-title"><?php the_title(); ?></h1>
			
			<?php the_content(__('Read more', 'organizedthemes'));?>
			
			<?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
			
		</article><!-- #post-<?php the_ID(); ?> -->
				
		<?php endwhile; ?>
    
    </div><!-- #content -->
	
  <?php get_sidebar(); ?>
  <?php get_footer(); ?>