<?php
/**
 * Single
 *
 * This file is for single posts
 *
 * @package Live
 * @since 3.0.0
 *
 */ get_header(); ?>

	<div id="content">
	
		<?php while (have_posts()) : the_post(); ?>
		
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
			<?php the_post_thumbnail('portrait-small'); ?>
			
			<h1 class="blog-title"><?php the_title(); ?></h1>
			
			<?php if(get_post_meta($post->ID, "title", $single = true) != ""){ ?>
				
				<p class="staff-title"><?php echo get_post_meta($post->ID, "title", TRUE); ?></p>
				
			<?php } ?>
			
			<?php get_template_part( 'includes/staff-details' ); ?>
			
			<?php the_content();?>
								
		</article><!-- #post-<?php the_ID(); ?> -->
				
		<?php endwhile; ?>
    
    </div><!-- #content -->
	
  <?php get_sidebar(); ?>
  <?php get_footer(); ?>